#declare TV_Pigment = pigment { color rgb <0.4, 0.4, 0.45> }
#declare TV_Finish = finish { specular 0.7 roughness 0.065 reflection 0.02 ambient 0.0 diffuse 0.2 }

 
// T.V.     
//box { <-50, 0, 0> <50, 56, 50> 
#declare TV = union
{        
        // stand/surround
        union
        {
                difference       
                {                
                        box { <-50, 0, -50> <50, 140, 50> rotate <0, -45, 0> }
                        union
                        {
                                box { <-100, -1, -100> <100, 141, 0> } 
                                // screen surround
                                box { <-56, 66, -0.01> <56, 141, 0.4> texture { pigment { color rgb <0.6, 0.6, 0.62> } 
                                        finish {specular 0.8 roughness 0.05 reflection 0.05 ambient 0.0 diffuse 0.2 } } }                         
                                // Screen hole
                                box { <-50, 75, -0.01> <50, 131, 2> pigment { color rgb <0.05, 0.065, 0.05> } } 
                                // leg cutter
                                box { <-46, -1, -46> <46, 60, 46> rotate <0, -45, 0> }  
                                box { <-110, -0.1, 20> <110, 60, 55> }

                                // cut slots for glass shelfs
                                box { <-47, 15, -47> <47, 16.5, 47> rotate <0, -45, 0> }  
                                box { <-47, 40, -47> <47, 41.5, 47> rotate <0, -45, 0> }  
                                
                                // texture for sides
                                box { <-68, 66, -1> <-56, 138, 0.01> pigment { TV_Pigment } finish { TV_Finish } normal { granite  } } 
                                box { <56, 66, -1> <68, 138, 0.01> pigment { TV_Pigment } finish { TV_Finish } normal { granite  } } 
                                
                                // line at top of legs
                                cylinder { <-100, 60, 0> <100, 60, 0> 0.5 }
                                // button hole
                                cylinder { <0, 70, -0.01> <0, 70, 2> 2 }
                        } 
                }                   
                // button
                cylinder { <0, 70, -0.1> <0, 70, 2> 1.9 } 
                sphere { <0, 0, 0> 1.9 scale <1, 1, 0.2> translate <0, 70, -0.1> }
                
                texture 
                {
                        pigment 
                        {
                                TV_Pigment
                        }
                        finish
                        {
                                TV_Finish
                        }
                } 
        } 
        // Screen   
        box { <-50, 75, 0.5> <50, 131, 1> 
                material
                {      
                        texture
                        {
                                pigment 
                                {
                                        rgbf <0.975, 1, 0.975, 0.95> 
                                }
                                finish
                                {
                                    specular 1
                                    roughness 0.001
                                    ambient 0
                                    diffuse 0
                                    reflection 0.065
                                }
                        }
                        interior {ior 1.5}
                }
        }  
        // Glass shelves
        intersection
        {  
                union 
                {              
                        box { <-46.8, 15.001, -46.8> <46.8, 16.4, 46.8> rotate <0, -45, 0> }  
                        box { <-46.8, 40.001, -46.8> <46.8, 41.4, 46.8> rotate <0, -45, 0> }   
                }
                cylinder { <0, 14, 0> <0, 43, 0> 200 translate <0, 0, 193> }
                material 
                {
                        texture
                        {
                                pigment 
                                {
                                        rgbf <0.8, 0.84, 0.8, 0.8> 
                                }
                                finish
                                {
                                    specular 1
                                    roughness 0.001
                                    ambient 0
                                    diffuse 0
                                    reflection 0.15
                                }
                        }
                        interior {ior 1.5}
                }

        }       
}
 

        